'use strict';

var path = require('path');
var spawn = require('cross-spawn');

var _require = require('../utils'),
    hasPkgProp = _require.hasPkgProp,
    resolveBin = _require.resolveBin,
    hasFile = _require.hasFile;

var args = process.argv.slice(2);
var here = function here(p) {
  return path.join(__dirname, p);
};

var useBuiltinConfig = !args.includes('--config') && !hasFile('.eslintrc') && !hasPkgProp('eslintConfig');
var config = useBuiltinConfig ? ['--config', here('../config/eslintrc.js')] : [];

var useBuiltinIgnore = !args.includes('--ignore-path') && !hasFile('.eslintignore') && !hasPkgProp('eslintIgnore');

var ignore = useBuiltinIgnore ? ['--ignore-path', here('../config/eslintignore')] : [];

var cache = args.includes('--no-cache') ? [] : ['--cache'];

var result = spawn.sync(resolveBin('eslint'), [].concat(config, ignore, cache, ['.']).concat(args), { stdio: 'inherit' });

process.exit(result.status);