'use strict';

var _slicedToArray = function () { function sliceIterator(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"]) _i["return"](); } finally { if (_d) throw _e; } } return _arr; } return function (arr, i) { if (Array.isArray(arr)) { return arr; } else if (Symbol.iterator in Object(arr)) { return sliceIterator(arr, i); } else { throw new TypeError("Invalid attempt to destructure non-iterable instance"); } }; }();

var spawn = require('cross-spawn');

var _require = require('../utils'),
    getConcurrentlyArgs = _require.getConcurrentlyArgs,
    hasScript = _require.hasScript,
    resolveBin = _require.resolveBin;

var validateScripts = process.argv[2];

var useDefaultScripts = typeof validateScripts !== 'string';

var scripts = useDefaultScripts ? Object.entries({
  build: 'npm run build --silent',
  lint: 'npm run lint --silent',
  test: 'npm run test --silent -- --coverage'
}).reduce(function (scriptsToRun, _ref) {
  var _ref2 = _slicedToArray(_ref, 2),
      name = _ref2[0],
      script = _ref2[1];

  if (hasScript(name)) {
    scriptsToRun[name] = script;
  }
  return scriptsToRun;
}, {}) : validateScripts.split(',').reduce(function (scriptsToRun, name) {
  scriptsToRun[name] = `npm run ${name} --silent`;
  return scriptsToRun;
}, {});

var result = spawn.sync(resolveBin('concurrently'), getConcurrentlyArgs(scripts), { stdio: 'inherit' });

process.exit(result.status);